# $Revision:$, $Date:$
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Bit
%define	pnam	Vector
Summary:	Bit::Vector - Efficient bit vector, set of integers and "big int" math library
#Summary(pl):	
Name:		perl-Bit-Vector
Version:	6.4
Release:	0.1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/ST/STBEY/Bit-Vector-6.4.tar.gz
# Source0-md5:	681433ff4f0b4da95dc5c560b7f5cc31
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Carp-Clan
Requires:	perl-Carp-Clan
%if %{with tests}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
See Bit::Vector::Overload(3).

See Bit::Vector::String(3).



# %description -l pl
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS.txt INSTALL.txt README.txt
%{perl_vendorarch}/Bit/*.pm
%{perl_vendorarch}/Bit/Vector/*.pm
%dir %{perl_vendorarch}/auto/Bit/Vector
%{perl_vendorarch}/auto/Bit/Vector/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Bit/Vector/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log:$
